Bug 702931 - SELinux is preventing /bin/bash from 'read' accesses on the file /bin/systemctl.
Summary: SELinux is preventing /bin/bash from 'read' accesses on the file /bin/systemctl.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:088d880d614...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-08 12:35 UTC by Michal Nowak
Modified: 2013-03-08 02:12 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-24.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-25 03:29:59 UTC


Attachments (Terms of Use)

Description Michal Nowak 2011-05-08 12:35:26 UTC
SELinux is preventing /bin/bash from 'read' accesses on the file /bin/systemctl.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that bash should be allowed read access on the systemctl file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sh /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:logrotate_t:s0-s0:c0.c1023
Target Context                system_u:object_r:systemd_systemctl_exec_t:s0
Target Objects                /bin/systemctl [ file ]
Source                        sh
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.2.8-2.fc15
Target RPM Packages           systemd-units-26-1.fc15
Policy RPM                    selinux-policy-3.9.16-21.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.38.4-20.fc15.i686 #1 SMP Thu Apr
                              28 23:45:59 UTC 2011 i686 i686
Alert Count                   1
First Seen                    Sun 08 May 2011 02:32:42 PM CEST
Last Seen                     Sun 08 May 2011 02:32:42 PM CEST
Local ID                      770973d8-0506-4ccc-941e-58200f9f98c4

Raw Audit Messages
type=AVC msg=audit(1304857962.446:241): avc:  denied  { read } for  pid=20676 comm="sh" name="systemctl" dev=dm-3 ino=1059278 scontext=system_u:system_r:logrotate_t:s0-s0:c0.c1023 tcontext=system_u:object_r:systemd_systemctl_exec_t:s0 tclass=file


type=SYSCALL msg=audit(1304857962.446:241): arch=i386 syscall=access success=no exit=EACCES a0=a11b898 a1=4 a2=42531ff4 a3=4 items=0 ppid=20675 pid=20676 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=15 comm=sh exe=/bin/bash subj=system_u:system_r:logrotate_t:s0-s0:c0.c1023 key=(null)

Hash: sh,logrotate_t,systemd_systemctl_exec_t,file,read

audit2allow

#============= logrotate_t ==============
allow logrotate_t systemd_systemctl_exec_t:file read;

audit2allow -R

#============= logrotate_t ==============
allow logrotate_t systemd_systemctl_exec_t:file read;

Comment 1 Miroslav Grepl 2011-05-09 17:45:37 UTC
Fixed in selinux-policy-3.9.16-24.fc15

Comment 2 Fedora Update System 2011-05-17 16:12:07 UTC
selinux-policy-3.9.16-24.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-24.fc15

Comment 3 Fedora Update System 2011-05-18 18:40:49 UTC
Package selinux-policy-3.9.16-24.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-24.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-24.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-05-25 03:29:07 UTC
selinux-policy-3.9.16-24.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.